Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class CertTemplate

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.CertTemplate

All Implemented Interfaces:
  ASN1Value

public class CertTemplate
extends java.lang.Object
implements ASN1Value

This class models a CRMF CertTemplate structure.

Inner Class Summary
`static class` | `CertTemplate.Template` A class for decoding CertTemplates.

Field Summary
`private SEQUENCE` | `extensions`
`private Name` | `issuer`
`private BIT_STRING` | `issuerUID`
`private java.util.Date` | `notAfter`
`private java.util.Date` | `notBefore`
`private SubjectPublicKeyInfo` | `publicKey`
`private INTEGER` | `serialNumber`
`private AlgorithmIdentifier` | `signingAlg`
`private Name` | `subject`
`private BIT_STRING` | `subjectUID`
`static Tag` | `TAG`
`private static CertTemplate.Template` | `templateInstance`
`(package private) static int` | `UTCTIME_CUTOFF_YEAR`
`private INTEGER` | `version`

Constructor Summary
`(package private)` | `CertTemplate()`

Method Summary
`private static TimeBase` | `dateToASN1(java.util.Date d)` Converts a Date into a UTCTime or GeneralizedTime, depending on whether it falls before or after the cutoff date.
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag t, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`Extension` | `extensionAt(int idx)` Returns the ith extension.
`Name` | `getIssuer()` Returns the issuer field of this CertTemplate.
`BIT_STRING` | `getIssuerUID()` Returns the issuerUID field of this CertTemplate.
`java.util.Date` | `getNotAfter()` Returns the notAfter field of this CertTemplate.
`java.util.Date` | `getNotBefore()` Returns the notBefore field of this CertTemplate.
`SubjectPublicKeyInfo` | `getPublicKey()` Returns the publicKey field of this CertTemplate.
`INTEGER` | `getSerialNumber()` Returns the serialNumber field of this CertTemplate.
`AlgorithmIdentifier` | `getSigningAlg()` Returns the signingAlg field of this CertTemplate.
`Name` | `getSubject()` Sets the subject field of this CertTemplate.
`BIT_STRING` | `getSubjectUID()` Returns the subjectUID field of this CertTemplate.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static CertTemplate.Template` | `getTemplate()`
`INTEGER` | `getVersion()` Returns the version field of this CertTemplate.
`boolean` | `hasExtensions()` Returns true if the extensions field is present.
`boolean` | `hasIssuer()` Returns true if the issuer field is present.
`boolean` | `hasIssuerUID()` Returns true if the issuerUID field is present.
`boolean` | `hasNotAfter()` Returns true if the notAfter field is present.
`boolean` | `hasNotBefore()` Returns true if the notBefore field is present.
`boolean` | `hasPublicKey()` Returns true if the publicKey field is present.
`boolean` | `hasSerialNumber()` Returns true if the serialNumber field is present.
`boolean` | `hasSigningAlg()` Returns true if the signingAlg field is present.
`boolean` | `hasSubject()` Returns true if the subject field is present.
`boolean` | `hasSubjectUID()` Returns true if the subjectUID field is present.
`boolean` | `hasVersion()` Returns true if the version field is present.
`static void` | `main(java.lang.String[] args)`
`int` | `numExtensions()` Returns the number of extensions present in the template.
`void` | `print(java.io.PrintStream ps, int indentSpaces)`
`void` | `setExtensions(SEQUENCE extensions)` Sets the extensions field of this CertTemplate.
`void` | `setIssuer(Name issuer)` Sets the issuer field of this CertTemplate.
`void` | `setIssuerUID(BIT_STRING issuerUID)` Sets the issuerUID field of this CertTemplate.
`void` | `setNotAfter(java.util.Date date)` Sets the notAfter field of this CertTemplate.
`void` | `setNotBefore(java.util.Date date)` Sets the version field of this CertTemplate.
`void` | `setPublicKey(SubjectPublicKeyInfo publicKey)` Sets the publicKey field of this CertTemplate.
`void` | `setSerialNumber(INTEGER serialNumber)` Sets the serialNumber field of this CertTemplate.
`void` | `setSigningAlg(AlgorithmIdentifier signingAlg)` Sets the signingAlg field of this CertTemplate.
`void` | `setSubject(Name subject)` Sets the subject field of this CertTemplate.
`void` | `setSubjectUID(BIT_STRING subjectUID)` Sets the subjectUID field of this CertTemplate.
`void` | `setVersion(INTEGER version)` Sets the version field of this CertTemplate.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### version

    private INTEGER version

### serialNumber

    private INTEGER serialNumber

### signingAlg

    private AlgorithmIdentifier signingAlg

### issuer

    private Name issuer

### notBefore

    private java.util.Date notBefore

### notAfter

    private java.util.Date notAfter

### subject

    private Name subject

### publicKey

    private SubjectPublicKeyInfo publicKey

### issuerUID

    private BIT_STRING issuerUID

### subjectUID

    private BIT_STRING subjectUID

### extensions

    private SEQUENCE extensions

### TAG

    public static final Tag TAG

### UTCTIME_CUTOFF_YEAR

    static final int UTCTIME_CUTOFF_YEAR

### templateInstance

    private static CertTemplate.Template templateInstance

Constructor Detail

### CertTemplate

    CertTemplate()

Method Detail

### hasVersion

    public boolean hasVersion()

  Returns true if the version field is present.

### getVersion

    public INTEGER getVersion()

  Returns the version field of this CertTemplate.

### setVersion

    public void setVersion(INTEGER version)

  Sets the version field of this CertTemplate.

### hasSerialNumber

    public boolean hasSerialNumber()

  Returns true if the serialNumber field is present.

### getSerialNumber

    public INTEGER getSerialNumber()

  Returns the serialNumber field of this CertTemplate.

### setSerialNumber

    public void setSerialNumber(INTEGER serialNumber)

  Sets the serialNumber field of this CertTemplate.

### hasSigningAlg

    public boolean hasSigningAlg()

  Returns true if the signingAlg field is present.

### getSigningAlg

    public AlgorithmIdentifier getSigningAlg()

  Returns the signingAlg field of this CertTemplate.

### setSigningAlg

    public void setSigningAlg(AlgorithmIdentifier signingAlg)

  Sets the signingAlg field of this CertTemplate.

### hasIssuer

    public boolean hasIssuer()

  Returns true if the issuer field is present.

### getIssuer

    public Name getIssuer()

  Returns the issuer field of this CertTemplate.

### setIssuer

    public void setIssuer(Name issuer)

  Sets the issuer field of this CertTemplate.

### hasNotBefore

    public boolean hasNotBefore()

  Returns true if the notBefore field is present.

### getNotBefore

    public java.util.Date getNotBefore()

  Returns the notBefore field of this CertTemplate.

### setNotBefore

    public void setNotBefore(java.util.Date date)

  Sets the version field of this CertTemplate.

### hasNotAfter

    public boolean hasNotAfter()

  Returns true if the notAfter field is present.

### getNotAfter

    public java.util.Date getNotAfter()

  Returns the notAfter field of this CertTemplate.

### setNotAfter

    public void setNotAfter(java.util.Date date)

  Sets the notAfter field of this CertTemplate.

### hasSubject

    public boolean hasSubject()

  Returns true if the subject field is present.

### getSubject

    public Name getSubject()

  Sets the subject field of this CertTemplate.

### setSubject

    public void setSubject(Name subject)

  Sets the subject field of this CertTemplate.

### hasPublicKey

    public boolean hasPublicKey()

  Returns true if the publicKey field is present.

### getPublicKey

    public SubjectPublicKeyInfo getPublicKey()

  Returns the publicKey field of this CertTemplate.

### setPublicKey

    public void setPublicKey(SubjectPublicKeyInfo publicKey)

  Sets the publicKey field of this CertTemplate.

### hasIssuerUID

    public boolean hasIssuerUID()

  Returns true if the issuerUID field is present.

### getIssuerUID

    public BIT_STRING getIssuerUID()

  Returns the issuerUID field of this CertTemplate.

### setIssuerUID

    public void setIssuerUID(BIT_STRING issuerUID)

  Sets the issuerUID field of this CertTemplate.

### hasSubjectUID

    public boolean hasSubjectUID()

  Returns true if the subjectUID field is present.

### getSubjectUID

    public BIT_STRING getSubjectUID()

  Returns the subjectUID field of this CertTemplate.

### setSubjectUID

    public void setSubjectUID(BIT_STRING subjectUID)

  Sets the subjectUID field of this CertTemplate.

### hasExtensions

    public boolean hasExtensions()

  Returns true if the extensions field is present.

### setExtensions

    public void setExtensions(SEQUENCE extensions)

  Sets the extensions field of this CertTemplate.

### numExtensions

    public int numExtensions()

  Returns the number of extensions present in the template. May be zero.

### extensionAt

    public Extension extensionAt(int idx)

  Returns the ith extension.
  Parameters:
    `idx` - The index of the extension to retrieve. Must be in the range [ 0, numExtensions()-1 ].

### print

    public void print(java.io.PrintStream ps,
                      int indentSpaces)
               throws InvalidBERException,
                      java.io.IOException

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### dateToASN1

    private static TimeBase dateToASN1(java.util.Date d)

  Converts a Date into a UTCTime or GeneralizedTime, depending on whether it falls before or after the cutoff date.

### encode

    public void encode(Tag t,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static CertTemplate.Template getTemplate()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD